//  Selected work


.selected-work {
    padding: 70px 70px 100px 70px;

    &__title {
        color: $light-black;
        text-align: center;
        font-size: 212px;
        letter-spacing: 6.48px;
        text-transform: uppercase;
    }

    &__items {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-gap: 70px 40px;
        margin: 50px 0 70px 0;

        .selected-work__item {
            display: flex;
            flex-direction: column;
            width: 100%;
            height: auto;

            &-text {
                align-self: stretch;
                color: $black;
                font-size: 40px;
                line-height: 44px;
                text-transform: uppercase;
            }

            &-img {
                display: block;
                width: 100%;
            }

            &-links {
                display: flex;
                gap: 30px;
                margin: 30px 0;

                .selected-work__item-link--white {
                    background: $white;
                    display: flex;
                    padding: 15px 30px;
                    align-items: center;
                    gap: 10px;
                    border-radius: 50px;
                    color: $light-black;
                    font-size: 18px;
                }

            }

            &-link--black {
                display: flex;
                padding: 10px 30px;
                align-items: center;
                gap: 10px;
                width: 163px;
                color: $white;
                font-size: 18px;
                border-radius: 50px;
                background: $light-black;
                text-transform: capitalize;
                margin-top: auto;
                margin-left: auto;
            }
        }
    }

    &__all-Work {
        display: flex;
        flex-direction: column;
        margin: 0 auto;
        width: 188px;
        color: $light-black;
        font-size: 18px;
        padding: 15px 60px;
        border-radius: 50px;
        background: $white;
    }
}


@media screen and (max-width: 1200px) {
    .selected-work {
        padding: 30px;
    
        &__title {
            font-size: 140px;
            letter-spacing: 5px;
        }

        &__items {
            grid-template-columns: 1fr;
            margin-top: 30px;
            grid-gap: 30px;
        }

        .selected-work__item1 {
            margin-bottom: 40px;
        }

        .selected-work__item2,
        .selected-work__item3 {
            order: -1;
        }
    }    
}

@media screen and (max-width: 768px) {
    .selected-work {
        padding: 30px 20px;

        &__title {
            font-size: 100px;
            letter-spacing: 4px;
        }

        &__items {
            margin-bottom: 40px;

            .selected-work__item {
                &-text {
                    font-size: 35px;
                }

                &-links {
                    margin-top: 20px;
                }
            }
        }

        .selected-work__item1 {
            margin-bottom: 10px;
        }

        &__all-Work {
            width: 100%;
            text-align: center;
        }
    }
}

@media screen and (max-width: 550px) {
    .selected-work__title {
        font-size: 80px;
        letter-spacing: 3px;
    }
    
}

@media screen and (max-width: 450px) {
    .selected-work__title {
        font-size: 60px;
        letter-spacing: 2px;
    }
}

@media screen and (max-width: 350px) {
    .selected-work{

        &__title {
            font-size: 50px;
        }

        &__items{
            .selected-work__item {
                &-links {
                    gap: 20px;

                    .selected-work__item-link--white {
                        padding: 15px 25px;
                    }
                }
            }
        }
    }
    
}